Bug 220527 - databases/mariadb101-server: Fix OPTIONS_DEFINE
Summary: databases/mariadb101-server: Fix OPTIONS_DEFINE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2017-07-07 05:34 UTC by Naram Qashat
Modified: 2017-08-17 15:34 UTC (History)
0 users

See Also:
brnrd: maintainer-feedback+
koobs: merge-quarterly?


Attachments
Fix mariadb101-server OPTIONS_DEFINE (662 bytes, patch)
2017-07-07 05:34 UTC, Naram Qashat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2017-07-07 05:34:35 UTC
Created attachment 184142 [details]
Fix mariadb101-server OPTIONS_DEFINE

The update for mariadb101-server to version 10.1.24 broke OPTIONS_DEFINE so CONNECT_EXTRA was considered the only non-single/non-group option. This patch fixes that.
Comment 1 commit-hook freebsd_committer 2017-07-23 19:14:36 UTC
A commit references this bug:

Author: brnrd
Date: Sun Jul 23 19:14:22 UTC 2017
New revision: 446504
URL: https://svnweb.freebsd.org/changeset/ports/446504

Log:
  databases/mariadb101-server: Fix re-definition of OPTIONS_DEFINE

   - Fix double definition of OPTIONS_DEFINE

  PR:		220527
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com>

Changes:
  head/databases/mariadb101-server/Makefile
Comment 2 Bernard Spil freebsd_committer 2017-07-23 19:15:44 UTC
Thanks for reporting!
That was a nicely stupid error :D
Comment 3 commit-hook freebsd_committer 2017-08-03 14:57:44 UTC
A commit references this bug:

Author: feld
Date: Thu Aug  3 14:57:37 UTC 2017
New revision: 447220
URL: https://svnweb.freebsd.org/changeset/ports/447220

Log:
  MFH: r444882 r446504

  databases/mariadb101-server: Update to 10.1.24

   - Regression fix update to 10.1.24
   - Backport option groups for groonga and compression
   - Use OS' libs, not bundled versions (lz4, lzo, snappy)
   - Add xml and odbc options for connect engine
   - Remove InnoDB/XtraDB fix (included upstream)
   - Fix bison issue [220367]

  PR:		220367
  Reported by:	iron@mail.ua

  databases/mariadb101-server: Fix re-definition of OPTIONS_DEFINE

   - Fix double definition of OPTIONS_DEFINE

  PR:		220527
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com>

  Approved by:	port-secteam (with hat)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/databases/mariadb101-server/Makefile
  branches/2017Q3/databases/mariadb101-server/distinfo
  branches/2017Q3/databases/mariadb101-server/files/patch-MDEV-12281
Comment 4 commit-hook freebsd_committer 2017-08-17 15:34:38 UTC
A commit references this bug:

Author: feld
Date: Thu Aug 17 15:34:19 UTC 2017
New revision: 448131
URL: https://svnweb.freebsd.org/changeset/ports/448131

Log:
  MFH: r445089 r445170 r446504 r447873

  databases/mariadb101-server: Update to 10.1.25

   - update to bugfix release 10.1.25

  databases/mariadb101-server: Fix extra change in prev commit

   - i386 still does not build with clang

  databases/mariadb101-server: Fix re-definition of OPTIONS_DEFINE

   - Fix double definition of OPTIONS_DEFINE

  PR:		220527
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com>

  databases/mariadb101-server: Security update to 10.1.26

   - Register libedit dependency

  Security:	cda2f3c2-6c8b-11e7-867f-b499baebfeaf

  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2017Q3/
  branches/2017Q3/databases/mariadb101-server/Makefile
  branches/2017Q3/databases/mariadb101-server/distinfo